petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPGCRSetModifyPC

Sets the routine used by GCR to modify the preconditioner.

### Synopsis

    PetscErrorCode  KSPGCRSetModifyPC(KSP ksp,PetscErrorCode (*function)(KSP,PetscInt,PetscReal,void*),void *data,PetscErrorCode (*destroy)(void*))

Logically Collective on KSP

### Input Parameters

+ ksp - iterative context obtained from KSPCreate() . function - user defined function to modify the preconditioner . ctx - user provided contex for the modify preconditioner function - destroy - the function to use to destroy the user provided application context.

### Calling Sequence of function

PetscErrorCode function (KSP ksp, PetscInt n, PetscReal rnorm, void *ctx)

ksp - iterative context n - the total number of GCR iterations that have occurred rnorm - 2-norm residual value ctx - the user provided application context

### Notes

The default modifypc routine is KSPGCRModifyPCNoChange()

.seealso: KSPGCRModifyPCNoChange()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/gcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages